Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Transaction..::.Discard Method
Transaction Class See Also

Free up all the per-process resources associated with the specified Transaction instance, neither committing nor aborting the transaction.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public void Discard()

Visual Basic (Declaration)
    Public Sub Discard

Visual C++
    public:
    void Discard()

# Remarks

This call may be used only after calls to Recover(UInt32, Boolean) when there are multiple global transaction managers recovering transactions in a single Berkeley DB environment. Any transactions returned by Recover(UInt32, Boolean) that are not handled by the current global transaction manager should be discarded using Discard.

# See Also

Transaction Class
BerkeleyDB Namespace